import { createRouter, createWebHistory } from "vue-router";

import Dashboard from "./views/Dashboard.vue";
import About from "./views/About.vue";
import BugAdd from "./views/BugAdd.vue";
import Archive from "./views/Archive.vue";
import API from "./views/API.vue";
import Report from "./views/Report.vue";

const routes = [
	{ path: "/", component: Dashboard },
	{ path: "/about", component: About },
	{ path: "/add", component: BugAdd },
	{ path: "/archive", component: Archive },
	{ path: "/api", component: API },
	{ path: "/report/:id", component: Report },
];

export const router = createRouter({
	history: createWebHistory(import.meta.env.BASE_URL),
	routes,
});
